Bug 123277 - Maintainer update: games/openalchemist - Update to v0.2.2
Summary: Maintainer update: games/openalchemist - Update to v0.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-30 19:40 UTC by ganael.laplanche
Modified: 2008-05-16 20:00 UTC (History)
0 users

See Also:


Attachments
file.diff (9.21 KB, patch)
2008-04-30 19:40 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2008-04-30 19:40:01 UTC
- Minor update : v0.2 to v0.2.2.
- Use ${DATADIR} instead of ${PREFIX}/share/games/${PORTNAME}

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2008-05-02 09:44:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2008-05-02 20:43:07 UTC
State Changed
From-To: open->feedback

HI Ganael, The port does not build. Can you take a look at it? 
http://head.miwibox.org/tb2/index.php?action=describe_port&id=488 
http://amd64.miwibox.org/tb2/index.php?action=describe_port&id=488 
Thanks.
Comment 3 ganael.laplanche 2008-05-03 00:05:25 UTC
On Fri, 2 May 2008 19:43:07 GMT, miwi wrote

> HI Ganael, The port does not build. Can you take a look at it?
> http://head.miwibox.org/tb2/index.php?action=describe_port&id=488
> http://amd64.miwibox.org/tb2/index.php?action=describe_port&id=488
> Thanks.

Hi Martin,

Strange, it builds @home. Are you sure the patch 'patch-includes-piece.h' is
present in the files/ directory ? I get the same error as your tinderbox when
this file is missing...

Thanks a lot,

Ganaël LAPLANCHE
ganael.laplanche@martymac.com
http://www.martymac.com
Comment 4 dfilter freebsd_committer 2008-05-16 19:59:56 UTC
miwi        2008-05-16 18:59:51 UTC

  FreeBSD ports repository

  Modified files:
    games/openalchemist  Makefile distinfo pkg-plist 
    games/openalchemist/files patch-Makefile 
  Added files:
    games/openalchemist/files patch-includes-piece.h 
  Removed files:
    games/openalchemist/files patch-KeyboardKey.h patch-game.h 
                              patch-piece.h 
  Log:
  - Update to 0.2.2
  
  PR:             123277
  Submitted by:   Ganael Laplanche <ganael.laplanche@martymac.com> (maintainer)
  
  Revision  Changes    Path
  1.2       +4 -3      ports/games/openalchemist/Makefile
  1.2       +3 -3      ports/games/openalchemist/distinfo
  1.2       +0 -11     ports/games/openalchemist/files/patch-KeyboardKey.h (dead)
  1.2       +15 -22    ports/games/openalchemist/files/patch-Makefile
  1.2       +0 -82     ports/games/openalchemist/files/patch-game.h (dead)
  1.1       +17 -0     ports/games/openalchemist/files/patch-includes-piece.h (new)
  1.2       +0 -17     ports/games/openalchemist/files/patch-piece.h (dead)
  1.2       +4 -5      ports/games/openalchemist/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2008-05-16 19:59:57 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!